Skip to content

Add Contacts To List

POST
/lists/{list_id}/contacts

Add contacts to a list by their IDs.

added is the number of membership rows really created. Ids that are not live contacts in this org come back in not_found; ids already on the list in already_member (LI-01). A missing or deleted list is a 404.

Authorizations

Parameters

Path Parameters

list_id
required

List ID

integer

List ID

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Request body for adding contacts to a list.

object
conflict_resolution
Any of:
string
Allowed values: add_all skip_all custom
contact_ids
required

List of contact IDs to add

Array<integer>
include_warned_ids
Any of:
Array<string>

Responses

201

Successful Response

object
data
required
object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string